post
https://business-api.test.equal.in/ie/transaction/journey/execute-1
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
To fetch the bank details via simple UPI transaction without using bank account number.
This is a two step process.
Step 1 INITIALIZE
Hit the API to generate a payment link
Journey Input Data
"input_data": {
"webhook_url": "https://hkdk.events/4aae838pe5mj9o",
"step": "INITIALIZE_PAYMENT"
}Journey Output Data
Payment links generated for android and IOS systems. User does the transaction, the details are sent to webhook which notifies that the transaction is completed.
{
"status": "SUCCESS",
"message": "Success",
"status_code": "success",
"transaction_id": "0c3a4140-6605-4938-8854-9ee217cca225",
"journey_transaction_id": "EQ.GT.4dc7fe7b-f089-49d3-8c2b-56b9b9e6e025#reverse_penny_drop_pidg_v1#421ee4c4b14540f793a58debdc2d9466",
"journey_id": "reverse_penny_drop_pidg_v1",
"data": {
"android_link": "https://test.eqid.in/pgSK",
"links": {
"ios_links": {
"whatsapp": "https://test.eqid.in/Y0Mh",
"gpay": "https://test.eqid.in/dQGw",
"phonepe": "https://test.eqid.in/sAku",
"bhim": "https://test.eqid.in/vTIG",
"paytm": "https://test.eqid.in/6niW"
}
}
}
}Step 2 STATUS
Journey Input Data
{
"journey_transaction_id": "",
"transaction_id": ""
}
Journey Output Data*
{
"status": "SUCCESS",
"message": "Request successful",
"status_code": "success",
"transaction_id": "0c3a4140-6605-4938-8854-9ee217cca225",
"journey_transaction_id": "EQ.GT.4dc7fe7b-f089-49d3-8c2b-56b9b9e6e025#reverse_penny_drop_pidg_v1#25886898d50640a08f19343d4ecdad2c",
"journey_id": "reverse_penny_drop_pidg_v1",
"data": {
"insights": null,
"keys": {
"bank_account": [
{
"name": "D",
"issuer_name": "State Bank of India",
"ifsc": "SBIN0000659",
"bank_name": "State Bank of India",
"account_number": "",
"branch_name": "",
"upi_id": "",
"amount": "1",
"payment_mode": "UPI",
"transaction_type": "credit"
}
]
}
}
}ERROR CODES
| Scenario | Http Status Code | status | status_code | message |
|---|---|---|---|---|
| When request is successful and RC details are available. | 200 | SUCCESS | success | Request successful |
| When chassis_no provided is not a valid chassis format | 200 | FAILURE | invalid_chassis_no | chassis_no is Invalid |
| Payment timed out | 400 | FAILURE | timed_out | Payment not made within the time limit |
| Invalid Client Credentials | 401 | FAILURE | invalid_credentials | Invalid Client Credentials |
| Any unhandled error from Equal end | 500 | FAILURE | internal_server_error | Something went wrong, please try again. |
| Too many requests | 429 | No object will be sent, throttling happens at the gateway level. | _ | _ |
| Service Unavailable | 503 | FAILED | service_unavailable | Service is temporarily unavailable. Please try again later |
